National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-1807 Detail

Current Description

WebKit in Apple Safari 4.x before 4.1.2 and 5.x before 5.0.2; Android before 2.2; and webkitgtk before 1.2.6; does not properly validate floating-point data, which allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via a crafted HTML document, related to non-standard NaN representation.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 9.3 HIGH
Vector: (AV:N/AC:M/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.apple.com/archives/security-announce/2010//Nov/msg00003.html
http://lists.apple.com/archives/security-announce/2010//Sep/msg00001.html Vendor Advisory
http://lists.opensuse.org/opensuse-security-announce/2011-01/msg00006.html
http://support.apple.com/kb/HT4333 Vendor Advisory
http://support.apple.com/kb/HT4456
http://trac.webkit.org/changeset/64706
http://www.computerworld.com/s/article/9195058/Researcher_to_release_Web_based_Android_attack
http://www.mandriva.com/security/advisories?name=MDVSA-2011:039
http://www.redhat.com/support/errata/RHSA-2011-0177.html
http://www.securityfocus.com/bid/43047 Patch
http://www.ubuntu.com/usn/USN-1006-1
http://www.vupen.com/english/advisories/2010/2722 Vendor Advisory
http://www.vupen.com/english/advisories/2010/3046 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0212 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0216 Vendor Advisory
http://www.vupen.com/english/advisories/2011/0552 Vendor Advisory
https://bugzilla.redhat.com/show_bug.cgi?id=627703
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A11964

Technical Details

Vulnerability Type (View All)

  • Improper Input Validation (CWE-20)

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:apple:safari:4.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0:beta:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.0b:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.0.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:4.1.1:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 2 ( hide )
 cpe:2.3:a:apple:safari:5.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:apple:safari:5.0.1:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:2.3:o:google:android:1.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:google:android:1.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:google:android:1.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:google:android:1.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:google:android:2.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:google:android:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
2.1

Configuration 4 ( hide )
 cpe:2.3:a:webkitgtk:webkitgtk:1.2.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:webkitgtk:webkitgtk:1.2.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:webkitgtk:webkitgtk:1.2.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:webkitgtk:webkitgtk:1.2.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:webkitgtk:webkitgtk:1.2.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:webkitgtk:webkitgtk:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (including)
1.2.5


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-1807
NVD Published Date:
09/10/2010
NVD Last Modified:
09/18/2017